%------------------------------------------------------------------------------
% File     : ANA123^1 : TPTP v7.0.0. Released v7.0.0.
% Domain   : Analysis
% Problem  : POLYNOMIAL_FUNCTION_I
% Version  : Especial.
% English  :

% Refs     : [Kal16] Kalisyk (2016), Email to Geoff Sutcliffe
% Source   : [Kal16]
% Names    : POLYNOMIAL_FUNCTION_I_.p [Kal16]

% Status   : Theorem
% Rating   : ? v7.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   3 type;   1 defn)
%            Number of atoms       :    9 (   1 equality;   3 variable)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :    4 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =;   0  @=)
%                                         (   0  !!;   0  ??;   0 @@+;   0 @@-)
%            Number of variables   :    4 (   0 sgn;   1   !;   0   ?;   2   ^)
%                                         (   4   :;   1  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH1_THM_EQU_NAR

% Comments : Exported from core HOL Light.
%------------------------------------------------------------------------------
thf('thf_type_type/realax/real',type,(
    'type/realax/real': $tType )).

thf('thf_const_const/trivia/I',type,(
    'const/trivia/I': 
      !>[A: $tType] :
        ( A > A ) )).

thf('thf_const_const/iterate/polynomial_function',type,(
    'const/iterate/polynomial_function': ( 'type/realax/real' > 'type/realax/real' ) > $o )).

thf('thm/iterate/POLYNOMIAL_FUNCTION_ID_',axiom,
    ( 'const/iterate/polynomial_function'
    @ ^ [A: 'type/realax/real'] : A )).

thf('thm/trivia/I_DEF_',definition,(
    ! [A: $tType] :
      ( ( 'const/trivia/I' @ A )
      = ( ^ [A0: A] : A0 ) ) )).

thf('thm/iterate/POLYNOMIAL_FUNCTION_I_',conjecture,
    ( 'const/iterate/polynomial_function' @ ( 'const/trivia/I' @ 'type/realax/real' ) )).

%------------------------------------------------------------------------------
