%------------------------------------------------------------------------------
% File     : DAT270^1 : TPTP v7.0.0. Released v7.0.0.
% Domain   : Analysis
% Problem  : ITLIST_
% Version  : Especial.
% English  :

% Refs     : [Kal16] Kalisyk (2016), Email to Geoff Sutcliffe
% Source   : [Kal16]
% Names    : ITLIST_1.p [Kal16]

% Status   : Theorem
% Rating   : ? v7.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   34 (   3 equality;  26 variable)
%            Maximal formula depth :   14 (   8 average)
%            Number of connectives :   34 (   0   ~;   0   |;   1   &;  33   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   14 (  14   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   4   :;   0   =;   0  @=)
%                                         (   0  !!;   0  ??;   0 @@+;   0 @@-)
%            Number of variables   :   17 (   0 sgn;  12   !;   1   ?;   0   ^)
%                                         (  17   :;   4  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH1_THM_EQU_NAR

% Comments : Exported from core HOL Light.
%------------------------------------------------------------------------------
thf('thf_type_type/ind_types/list',type,(
    'type/ind_types/list': $tType > $tType )).

thf('thf_const_const/lists/ITLIST',type,(
    'const/lists/ITLIST': 
      !>[A: $tType,A0: $tType] :
        ( ( A > A0 > A0 ) > ( 'type/ind_types/list' @ A ) > A0 > A0 ) )).

thf('thf_const_const/ind_types/NIL',type,(
    'const/ind_types/NIL': 
      !>[A: $tType] :
        ( 'type/ind_types/list' @ A ) )).

thf('thf_const_const/ind_types/CONS',type,(
    'const/ind_types/CONS': 
      !>[A: $tType] :
        ( A > ( 'type/ind_types/list' @ A ) > ( 'type/ind_types/list' @ A ) ) )).

thf('thm/ind_types/list_RECURSION_',axiom,(
    ! [Z: $tType,A: $tType,A0: Z,A1: A > ( 'type/ind_types/list' @ A ) > Z > Z] :
    ? [A2: ( 'type/ind_types/list' @ A ) > Z] :
      ( ( ( A2 @ ( 'const/ind_types/NIL' @ A ) )
        = A0 )
      & ! [A3: A,A4: 'type/ind_types/list' @ A] :
          ( ( A2 @ ( 'const/ind_types/CONS' @ A @ A3 @ A4 ) )
          = ( A1 @ A3 @ A4 @ ( A2 @ A4 ) ) ) ) )).

thf('thm/lists/ITLIST_1',conjecture,(
    ! [A: $tType,A0: $tType,A1: A,A2: A > A0 > A0,A3: 'type/ind_types/list' @ A,A4: A0] :
      ( ( 'const/lists/ITLIST' @ A @ A0 @ A2 @ ( 'const/ind_types/CONS' @ A @ A1 @ A3 ) @ A4 )
      = ( A2 @ A1 @ ( 'const/lists/ITLIST' @ A @ A0 @ A2 @ A3 @ A4 ) ) ) )).

%------------------------------------------------------------------------------
