%------------------------------------------------------------------------------
% File     : SEV457^1 : TPTP v7.0.0. Released v7.0.0.
% Domain   : Analysis
% Problem  : INSERT_AC_
% Version  : Especial.
% English  :

% Refs     : [Kal16] Kalisyk (2016), Email to Geoff Sutcliffe
% Source   : [Kal16]
% Names    : INSERT_AC_1.p [Kal16]

% Status   : Theorem
% Rating   : ? v7.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   24 (   2 equality;  16 variable)
%            Maximal formula depth :    9 (   8 average)
%            Number of connectives :   18 (   0   ~;   0   |;   0   &;  18   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =;   0  @=)
%                                         (   0  !!;   0  ??;   0 @@+;   0 @@-)
%            Number of variables   :    7 (   0 sgn;   6   !;   0   ?;   0   ^)
%                                         (   7   :;   1  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH1_THM_EQU_NAR

% Comments : Exported from core HOL Light.
%------------------------------------------------------------------------------
thf('thf_const_const/sets/INSERT',type,(
    'const/sets/INSERT': 
      !>[A: $tType] :
        ( A > ( A > $o ) > A > $o ) )).

thf('thm/sets/INSERT_INSERT_',axiom,(
    ! [A: $tType,A0: A,A1: A > $o] :
      ( ( 'const/sets/INSERT' @ A @ A0 @ ( 'const/sets/INSERT' @ A @ A0 @ A1 ) )
      = ( 'const/sets/INSERT' @ A @ A0 @ A1 ) ) )).

thf('thm/sets/INSERT_AC_1',conjecture,(
    ! [A: $tType,A0: A,A1: A > $o] :
      ( ( 'const/sets/INSERT' @ A @ A0 @ ( 'const/sets/INSERT' @ A @ A0 @ A1 ) )
      = ( 'const/sets/INSERT' @ A @ A0 @ A1 ) ) )).

%------------------------------------------------------------------------------
