%------------------------------------------------------------------------------
% File     : DAT266^1 : TPTP v7.0.0. Released v7.0.0.
% Domain   : Analysis
% Problem  : REPLICATE_
% Version  : Especial.
% English  :

% Refs     : [Kal16] Kalisyk (2016), Email to Geoff Sutcliffe
% Source   : [Kal16]
% Names    : REPLICATE_1.p [Kal16]

% Status   : Theorem
% Rating   : ? v7.0.0
% Syntax   : Number of formulae    :    9 (   0 unit;   7 type;   0 defn)
%            Number of atoms       :   26 (   3 equality;  16 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   21 (   0   ~;   0   |;   1   &;  20   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    8 (   7   :;   0   =;   0  @=)
%                                         (   0  !!;   0  ??;   0 @@+;   0 @@-)
%            Number of variables   :   10 (   0 sgn;   7   !;   1   ?;   0   ^)
%                                         (  10   :;   2  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH1_THM_EQU_NAR

% Comments : Exported from core HOL Light.
%------------------------------------------------------------------------------
thf('thf_type_type/nums/num',type,(
    'type/nums/num': $tType )).

thf('thf_type_type/ind_types/list',type,(
    'type/ind_types/list': $tType > $tType )).

thf('thf_const_const/nums/SUC',type,(
    'const/nums/SUC': 'type/nums/num' > 'type/nums/num' )).

thf('thf_const_const/nums/NUMERAL',type,(
    'const/nums/NUMERAL': 'type/nums/num' > 'type/nums/num' )).

thf('thf_const_const/nums/_0',type,(
    'const/nums/_0': 'type/nums/num' )).

thf('thf_const_const/lists/REPLICATE',type,(
    'const/lists/REPLICATE': 
      !>[A: $tType] :
        ( 'type/nums/num' > A > ( 'type/ind_types/list' @ A ) ) )).

thf('thf_const_const/ind_types/CONS',type,(
    'const/ind_types/CONS': 
      !>[A: $tType] :
        ( A > ( 'type/ind_types/list' @ A ) > ( 'type/ind_types/list' @ A ) ) )).

thf('thm/nums/num_RECURSION_',axiom,(
    ! [A: $tType,A0: A,A1: A > 'type/nums/num' > A] :
    ? [A2: 'type/nums/num' > A] :
      ( ( ( A2 @ ( 'const/nums/NUMERAL' @ 'const/nums/_0' ) )
        = A0 )
      & ! [A3: 'type/nums/num'] :
          ( ( A2 @ ( 'const/nums/SUC' @ A3 ) )
          = ( A1 @ ( A2 @ A3 ) @ A3 ) ) ) )).

thf('thm/lists/REPLICATE_1',conjecture,(
    ! [A: $tType,A0: 'type/nums/num',A1: A] :
      ( ( 'const/lists/REPLICATE' @ A @ ( 'const/nums/SUC' @ A0 ) @ A1 )
      = ( 'const/ind_types/CONS' @ A @ A1 @ ( 'const/lists/REPLICATE' @ A @ A0 @ A1 ) ) ) )).

%------------------------------------------------------------------------------
