%------------------------------------------------------------------------------
% File     : NUN051^1 : TPTP v7.0.0. Released v7.0.0.
% Domain   : Number theory
% Problem  : NSUM_OFFSET_0
% Version  : Especial.
% English  :

% Refs     : [Kal16] Kalisyk (2016), Email to Geoff Sutcliffe
% Source   : [Kal16]
% Names    : NSUM_OFFSET_0_.p [Kal16]

% Status   : Theorem
% Rating   : ? v7.0.0
% Syntax   : Number of formulae    :   12 (   0 unit;   8 type;   0 defn)
%            Number of atoms       :   58 (   4 equality;  28 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :   46 (   0   ~;   0   |;   0   &;  44   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   16 (  16   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   10 (   8   :;   0   =;   0  @=)
%                                         (   0  !!;   0  ??;   0 @@+;   0 @@-)
%            Number of variables   :   13 (   0 sgn;  10   !;   0   ?;   2   ^)
%                                         (  13   :;   1  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH1_THM_EQU_NAR

% Comments : Exported from core HOL Light.
%------------------------------------------------------------------------------
thf('thf_type_type/nums/num',type,(
    'type/nums/num': $tType )).

thf('thf_const_const/nums/NUMERAL',type,(
    'const/nums/NUMERAL': 'type/nums/num' > 'type/nums/num' )).

thf('thf_const_const/nums/_0',type,(
    'const/nums/_0': 'type/nums/num' )).

thf('thf_const_const/iterate/nsum',type,(
    'const/iterate/nsum': 
      !>[A: $tType] :
        ( ( A > $o ) > ( A > 'type/nums/num' ) > 'type/nums/num' ) )).

thf('thf_const_const/iterate/..',type,(
    'const/iterate/..': 'type/nums/num' > 'type/nums/num' > 'type/nums/num' > $o )).

thf('thf_const_const/arith/+',type,(
    'const/arith/+': 'type/nums/num' > 'type/nums/num' > 'type/nums/num' )).

thf('thf_const_const/arith/-',type,(
    'const/arith/-': 'type/nums/num' > 'type/nums/num' > 'type/nums/num' )).

thf('thf_const_const/arith/<=',type,(
    'const/arith/<=': 'type/nums/num' > 'type/nums/num' > $o )).

thf('thm/arith/SUB_ADD_',axiom,(
    ! [A: 'type/nums/num',A0: 'type/nums/num'] :
      ( ( 'const/arith/<=' @ A0 @ A )
     => ( ( 'const/arith/+' @ ( 'const/arith/-' @ A @ A0 ) @ A0 )
        = A ) ) )).

thf('thm/arith/ADD_CLAUSES_0',axiom,(
    ! [A: 'type/nums/num'] :
      ( ( 'const/arith/+' @ ( 'const/nums/NUMERAL' @ 'const/nums/_0' ) @ A )
      = A ) )).

thf('thm/iterate/NSUM_OFFSET_',axiom,(
    ! [A: 'type/nums/num',A0: 'type/nums/num' > 'type/nums/num',A1: 'type/nums/num',A2: 'type/nums/num'] :
      ( ( 'const/iterate/nsum' @ 'type/nums/num' @ ( 'const/iterate/..' @ ( 'const/arith/+' @ A1 @ A ) @ ( 'const/arith/+' @ A2 @ A ) ) @ A0 )
      = ( 'const/iterate/nsum' @ 'type/nums/num' @ ( 'const/iterate/..' @ A1 @ A2 )
        @ ^ [A3: 'type/nums/num'] :
            ( A0 @ ( 'const/arith/+' @ A3 @ A ) ) ) ) )).

thf('thm/iterate/NSUM_OFFSET_0_',conjecture,(
    ! [A: 'type/nums/num' > 'type/nums/num',A0: 'type/nums/num',A1: 'type/nums/num'] :
      ( ( 'const/arith/<=' @ A0 @ A1 )
     => ( ( 'const/iterate/nsum' @ 'type/nums/num' @ ( 'const/iterate/..' @ A0 @ A1 ) @ A )
        = ( 'const/iterate/nsum' @ 'type/nums/num' @ ( 'const/iterate/..' @ ( 'const/nums/NUMERAL' @ 'const/nums/_0' ) @ ( 'const/arith/-' @ A1 @ A0 ) )
          @ ^ [A2: 'type/nums/num'] :
              ( A @ ( 'const/arith/+' @ A2 @ A0 ) ) ) ) ) )).

%------------------------------------------------------------------------------
